import 'package:flutter/cupertino.dart';

class NavigationService {
  static void handleLoginSuccess(BuildContext context, String role) {
    switch (role) {
      case 'admin':
        Navigator.pushReplacementNamed(context, '/admin_dashboard');
        break;
      case 'gestionnaire':
        Navigator.pushReplacementNamed(context, '/gestionnaire_dashboard');
        break;
      case 'parent':
        Navigator.pushReplacementNamed(context, '/parent-dashboard');
        break;
      case 'assistante_maternelle':
        Navigator.pushReplacementNamed(context, '/assistante_maternelle_dashboard');
        break;
    }
  }
}